Seite 5 von 10 ErsteErste 123456789 ... LetzteLetzte
Ergebnis 41 bis 50 von 95

Thema: Update PHP5.2 auf php7.0 und GX v2.0.15.2 auf 3.3.2.0

  1. #41
    Benutzer
    Registriert seit
    29.11.2016
    Beiträge
    67
    Downloads
    82
    Uploads
    0

    AW: PHP5.2 auf php7.0

    also das nächste Update 2.3.1.7 geht nicht.

    da kommt folgende Fehlermeldung:

    WARNING(2): "require_once(/var/www/web27684479/html/biker/StyleEdit/classes/GMSEDatabase.php): failed to open stream: No such file or directory"

    Fatal error: require_once(): Failed opening required '/var/www/web27684479/html/biker/StyleEdit/classes/GMSEDatabase.php' (include_path='.:/opt/php/5.5.38/share/pear') in /var/www/web27684479/html/biker/includes/application_top.php on line 422
    COMPILE ERROR(64): "require_once(): Failed opening required '/var/www/web27684479/html/biker/StyleEdit/classes/GMSEDatabase.php' (include_path='.:/opt/php/5.5.38/share/pear')"

  2. #42
    Benutzer
    Registriert seit
    29.11.2016
    Beiträge
    67
    Downloads
    82
    Uploads
    0

    AW: PHP5.2 auf php7.0

    Backup zur Wiederherstellung gemacht und lauter Fehler drin. So langsam kotzt mich das alles an. Nix geht wie es soll.

  3. #43
    Benutzer
    Registriert seit
    29.11.2016
    Beiträge
    67
    Downloads
    82
    Uploads
    0

    AW: PHP5.2 auf php7.0


  4. #44
    Benutzer
    Registriert seit
    29.11.2016
    Beiträge
    67
    Downloads
    82
    Uploads
    0

    AW: PHP5.2 auf php7.0

    links fehlen jetzt die ganzen Gambiodinger wie favoriten, etc.

    Was muß ich tun?

  5. #45
    Benutzer
    Registriert seit
    29.11.2016
    Beiträge
    67
    Downloads
    82
    Uploads
    0

    AW: PHP5.2 auf php7.0

    nach erneutem Backup ist wieder alles da.

    Was muß ich tun um die Fehlermeldungen vom nächsten Update zu umgehen?

  6. #46
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    2.485
    Downloads
    197
    Uploads
    283

    AW: PHP5.2 auf php7.0

    Die Version solltest du ja auch gar nicht nehmen!

    Ich nehme an, du bist jetzt wieder bei GX Version 2.2.x auf PHP v5.5.38
    Leere bitte einmal sämtliche Caches im Adminbereich unter Cache leeren. Dann vorsichtshalber nochmal via FTP die Verzeichnisse /cache und /templates_c leeren (außer .htaccess und index.html)
    Dann Shop im Browser mit der Tastenkombination STRG+F5 komplett neu laden und anmelden und alles kontrollieren. Auch einen Testkauf tätigen.
    Wenn alles funktioniert - Sicherung von Dateien und Datenbank erstellen.

    Dann kannst du jetzt mit Masterupdate auf GX v2.4.0.1 vom 22.09.2015 (v2.2.0.0 auf v2.4.0.1) weitermachen. Die läuft unter PHP 5.5.38 mit Sicherheit stabiler.
    Dannach wieder wie oben beschrieben Caches leeren, Testkauf, Sicherung.

    Und hier wieder melden

    Und was mir so an deinem Shop als erstes auffällt - falls du das überhaupt wissen willst:
    Wenn ich deinen Shop aufrufe, sollten mich gleich 2 fette geile Auspuffrohre angrinsen. Warum sehe ich da nur unwichtiges blabla, was eh kein Mensch ließt?
    Aber das wird deine nächste Aufgabe sein!

    @Ralf
    Der Herr Wilken heißt übrigens mit Vor- und Nachnamen Wilken Haase.
    Die Aussage bzgl. der PHP-Versionen ist vom 14. März 2016 und aus heutiger Sicht falsch - weil eben uralt (2.9.x hat es gar nicht erst gegeben)!
    Die aktuelle Entwickler-Dokumentation sagt:
    GX 2.5.x bis GX 3.0.x = mindestens PHP v5.4.x und max. v5.6.x
    GX 3.1.x und höher = mindestens PHP v5.4.x und max. v7.0.x
    Funktionen testen in unserem immer aktuellen Gambio Testshop
    Aktuelle Infos zu unserem Gambio Testshop
    Welches Update für welche Version?
    Bilder und Dateien korrekt hochladen und anzeigen
    __________________________________________________ ________________
    Projekt: Flexa Kinderbetten und Hochbetten bei kindermoebel-24.de günstig auf Rechnung kaufen
    System: Gambio GX v2.4.3.1 / PHP Version 5.4.45 / MySQL 5.5.52
    Betreuung durch IT-Recht-Kanzlei München

  7. #47
    Benutzer
    Registriert seit
    29.11.2016
    Beiträge
    67
    Downloads
    82
    Uploads
    0

    AW: PHP5.2 auf php7.0

    (Die Version solltest du ja auch gar nicht nehmen!

    Ich nehme an, du bist jetzt wieder bei GX Version 2.2.x auf PHP v5.5.38
    Leere bitte einmal sämtliche Caches im Adminbereich unter Cache leeren. Dann vorsichtshalber nochmal via FTP die Verzeichnisse /cache und /templates_c leeren (außer .htaccess und index.html)
    Dann Shop im Browser mit der Tastenkombination STRG+F5 komplett neu laden und anmelden und alles kontrollieren. Auch einen Testkauf tätigen.)



    Das funktioniert alles bis dahin.

  8. #48
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    2.485
    Downloads
    197
    Uploads
    283

    AW: PHP5.2 auf php7.0

    Dann kannst du jetzt mit Masterupdate auf GX v2.4.0.1 vom 22.09.2015 (v2.2.0.0 auf v2.4.0.1) weitermachen. Die läuft unter PHP 5.5.38 mit Sicherheit stabiler.
    Dannach wieder wie oben beschrieben Caches leeren, Testkauf, Sicherung.

    Und dann hier wieder melden.
    Funktionen testen in unserem immer aktuellen Gambio Testshop
    Aktuelle Infos zu unserem Gambio Testshop
    Welches Update für welche Version?
    Bilder und Dateien korrekt hochladen und anzeigen
    __________________________________________________ ________________
    Projekt: Flexa Kinderbetten und Hochbetten bei kindermoebel-24.de günstig auf Rechnung kaufen
    System: Gambio GX v2.4.3.1 / PHP Version 5.4.45 / MySQL 5.5.52
    Betreuung durch IT-Recht-Kanzlei München

  9. #49
    Benutzer
    Registriert seit
    29.11.2016
    Beiträge
    67
    Downloads
    82
    Uploads
    0

    AW: PHP5.2 auf php7.0

    ok

    und wieder schief gelaufen. Es kommt diese Fehlermeldung:

    Es ist ein Fehler aufgetreten. Bitte spielen Sie Ihre Sicherung wieder ein.
    Interner Server Error: Update wurde aus unbekannten Gründen abgebrochen.


    und wenn ich den Shop aufrufe kommt dann :

    WARNING(2): "require_once(/var/www/web27684479/html/biker/StyleEdit/classes/GMSEDatabase.php): failed to open stream: No such file or directory"

    Fatal error: require_once(): Failed opening required '/var/www/web27684479/html/biker/StyleEdit/classes/GMSEDatabase.php' (include_path='.:/opt/php/5.5.38/share/pear') in /var/www/web27684479/html/biker/includes/application_top.php on line 427
    COMPILE ERROR(64): "require_once(): Failed opening required '/var/www/web27684479/html/biker/StyleEdit/classes/GMSEDatabase.php' (include_path='.:/opt/php/5.5.38/share/pear')"

  10. #50
    Erfahrener Benutzer Avatar von rf-musik
    Registriert seit
    19.06.2015
    Ort
    Schleswig Holstein im hohen Norden
    Beiträge
    381
    Downloads
    153
    Uploads
    0

    AW: PHP5.2 auf php7.0

    Hallo,
    mach das update nochmal!
    Sie sind Kreativ? - dann schauen Sie Vorbei...
    auf www.stampcorner.de
    meine Private Hobby Seite: www.automatengeschichte.de
    Shop Version 3.3.1.2 StyleEdit 3

Ähnliche Themen

  1. Shop nicht mehr erreichbar nach Umstellung auf PHP5.5
    Von Tonkutscher im Forum Gambio GX Off Topic
    Antworten: 3
    Letzter Beitrag: 26.02.2015, 15:40
  2. Antworten: 5
    Letzter Beitrag: 28.11.2014, 13:22
  3. Umstellung von PHP5.2 auf PHP5.4
    Von hali1949 im Forum Allgemeines - Off Topic
    Antworten: 2
    Letzter Beitrag: 08.12.2012, 20:11

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •